--   This file is part of Reno desktop.
--
--  Reno desktop is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
--
--  Reno desktop is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License along with Reno desktop. If not, see <https://www.gnu.org/licenses/>. 
-- Base for widgets
local awmtk2 = require("awmtk2")
local wibox = require("wibox")

return function(args)
    args.icon = args.icon or ""
    local style = awmtk2.create_style("popuptitle",
        awmtk2.generic.oneline_widget,args.style,args.vertical)
    local templates = awmtk2.create_template_lib("popuptitle",awmtk2.templates,args.templates)
    local t = awmtk2.build_templates(templates,style,args.vertical)
    local widget
    if not args.vertical then
        widget = wibox.widget(t.container(t.article({
            icon = root_path.."/themes/"..global.theme.."/"..args.icon,
            title = args.title
        })))
    else
        widget = wibox.widget(t.container({
            t.article({
                icon = root_path.."/themes/"..global.theme.."/"..args.icon,
                title = args.title
            }),
            widget = wibox.container.rotate,
            direction = "east"
        }))
    end
    return widget
end
